<app-navbar></app-navbar>
<router-outlet></router-outlet>

<div *ngIf="ds.isAuth && !ds.isMob" id="toolbar">
    <dx-toolbar [height]='35' renderAs='bottomToolbar' [visible]="!ds.isMob">
        <dxi-item location='before'>
            v{{ appVersion }}
        </dxi-item>
        <dxi-item location='center'>
            <span (click)="isChangePassVisible = true;" style="cursor:pointer">{{ ds.userName }}</span>
        </dxi-item>
        <dxi-item widget='dxSelectBox' location='after' class="hideMob" [options]="{
                        width: 200,
                        height: 25,
                        dataSource: dsThemes,
                        valueExpr: 'value',
                        displayExpr: 'name',
                        grouped: true,
                        onValueChanged: onValueChanged,
                        value: currentTheme,
                        placeholder: 'Change theme'
                    }">
        </dxi-item>
    </dx-toolbar>
</div>
<dx-popup title='Change Passowrd' [(visible)]='isChangePassVisible' width='auto' height='auto' [position]="ds.popupPosition">
    <div *dxTemplate="let data of 'title'">
        <div class="logo-small" style="float:left">
            <img src="assets/img/Logo1.png" style="width:25px; height:25px; display:block;" />
        </div>
        <h4>Change password</h4>
    </div>

    <div *dxTemplate="let data of 'content'">
        <dx-form [colCount]="1" [formData]='newPass' [showValidationSummary]="false" validationGroup="passValidation">
            <dxi-item itemType="group" [colSpan]="1" [colCount]='1'>
                <dxi-item [label]="{text: 'Current password'}" dataField="currentPass" editorType="dxTextBox" [editorOptions]="{ mode: 'password'}">
                    <dxi-validation-rule type="required"></dxi-validation-rule>
                </dxi-item>
                <dxi-item [label]="{text: 'New password'}" dataField="newPass" editorType="dxTextBox" [editorOptions]="{ mode: 'password' }">
                    <dxi-validation-rule type="required"></dxi-validation-rule>
                    <dxi-validation-rule type="stringLength" [min]="5" [max]="16" message="Passowrd must be between 5 and 16 chars."></dxi-validation-rule>
                </dxi-item>
                <dxi-item [label]="{text: 'Confirm password'}" dataField="confirmPass" editorType="dxTextBox" [editorOptions]="{ mode: 'password' }">
                    <dxi-validation-rule type="required"></dxi-validation-rule>
                    <dxi-validation-rule type="stringLength" [min]="5" [max]="16" message="Passowrd must be between 5 and 16 chars."></dxi-validation-rule>
                    <dxi-validation-rule type="compare" [comparisonTarget]="passwordComparison" message="Password and Confirm Password do not match"></dxi-validation-rule>
                </dxi-item>
            </dxi-item>
        </dx-form>
        <br>
        <div style="float: right; margin-bottom: 20px;">
            <dx-button type='success' text='Save' (onClick)='onSavePass($event)' validationGroup="passValidation"></dx-button>
            <dx-button text='Cancel' (onClick)='cancelClick()' class="redTxt"></dx-button>
        </div>
    </div>
</dx-popup>

<section id="status-bar">
    <span class="yellow"></span>
    <span class="orange"></span>
    <span class="dark-orange"></span>
    <span class="red"></span>
</section>